SDL Visual Test: C:/Users/DELL/Work/sdlvisualtest/visualtest/include/SDL_visualtest_sut_configparser.h File Reference

SDL Visual Test

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Structures | Macros | Typedefs | Enumerations | Functions
SDL_visualtest_sut_configparser.h File Reference

Go to the source code of this file.

## Data Structures
struct | SDLVisualTest_SUTIntRange
struct | SDLVisualTest_SUTOption
struct | SDLVisualTest_SUTConfig

## Macros
#define | MAX_SUTOPTION_NAME_LEN 100
#define | MAX_SUTOPTION_CATEGORY_LEN 40
#define | MAX_SUTOPTION_ENUMVAL_LEN 40
#define | MAX_SUTOPTION_LINE_LENGTH 256

## Typedefs
typedef struct SDLVisualTest_SUTIntRange | SDLVisualTest_SUTIntRange
typedef struct SDLVisualTest_SUTOption | SDLVisualTest_SUTOption
typedef struct SDLVisualTest_SUTConfig | SDLVisualTest_SUTConfig

## Enumerations
enum | SDLVisualTest_SUTOptionType { SDL_SUT_OPTIONTYPE_STRING = 0, SDL_SUT_OPTIONTYPE_INT, SDL_SUT_OPTIONTYPE_ENUM, SDL_SUT_OPTIONTYPE_BOOL }

## Functions
int | SDLVisualTest_ParseSUTConfig (char *file, SDLVisualTest_SUTConfig *config)
void | SDLVisualTest_FreeSUTConfig (SDLVisualTest_SUTConfig *config)

## Detailed Description

Header for the parser for SUT config files.

## Macro Definition Documentation

#define MAX_SUTOPTION_CATEGORY_LEN 40

Maximum length of the name of a category of an SUT option

#define MAX_SUTOPTION_ENUMVAL_LEN 40

Maximum length of one enum value of an SUT option

#define MAX_SUTOPTION_LINE_LENGTH 256

Maximum length of a line in the paramters file

#define MAX_SUTOPTION_NAME_LEN 100

Maximum length of the name of an SUT option

## Typedef Documentation

typedef struct SDLVisualTest_SUTConfig SDLVisualTest_SUTConfig

Struct to hold all the options to an SUT application.

typedef struct SDLVisualTest_SUTIntRange SDLVisualTest_SUTIntRange

Represents the range of values an integer option can take.

typedef struct SDLVisualTest_SUTOption SDLVisualTest_SUTOption

Struct that defines an option to be passed to the SUT.

## Enumeration Type Documentation

enum SDLVisualTest_SUTOptionType

Describes the different kinds of options to the SUT.

## Function Documentation

void SDLVisualTest_FreeSUTConfig | ( | SDLVisualTest_SUTConfig * | config) |  |

Free any resources associated with the config object pointed to by `config`.

int SDLVisualTest_ParseSUTConfig | ( | char * | file,
|  | SDLVisualTest_SUTConfig * | config
| ) |  |

Parses a configuration file that describes the command line options an SUT application will take and populates a SUT config object. All lines in the config file must be smaller than

Parameters

  file | Path to the configuration file.
  config | Pointer to an object that represents an SUT configuration.

Returns
  zero on failure, non-zero on success